Index: trip-planner-front/src/app/_models/city.ts
===================================================================
--- trip-planner-front/src/app/_models/city.ts	(revision 571e0df9a7a5e798c9941a85842f785177bedbbd)
+++ trip-planner-front/src/app/_models/city.ts	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
@@ -7,6 +7,6 @@
     constructor(){
         this.id = 1;
-        this.name= '';
-        this.description= '';
+        this.name= 'City name';
+        this.description= 'City description';
     }
 }
Index: trip-planner-front/src/app/_models/location.ts
===================================================================
--- trip-planner-front/src/app/_models/location.ts	(revision 571e0df9a7a5e798c9941a85842f785177bedbbd)
+++ trip-planner-front/src/app/_models/location.ts	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
@@ -1,3 +1,2 @@
-
 export class Location{
     
@@ -8,6 +7,4 @@
     priority: string;
     duration: number;
-    trivia: string;
-    photo: any[];
 
     constructor(){
@@ -18,6 +15,4 @@
         this.priority = 'Location priority';
         this.duration = 1;
-        this.trivia = '';
-        this.photo = [];
     }
 }
Index: trip-planner-front/src/app/_models/planner.ts
===================================================================
--- trip-planner-front/src/app/_models/planner.ts	(revision 571e0df9a7a5e798c9941a85842f785177bedbbd)
+++ trip-planner-front/src/app/_models/planner.ts	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
@@ -1,4 +1,3 @@
 export class Planner{
-    
     id: number;
     name: string;
@@ -7,6 +6,6 @@
     constructor(){
         this.id = 1;
-        this.name = '';
-        this.description = '';
+        this.name = 'Planner name';
+        this.description = 'Planner description';
     }
 }
Index: trip-planner-front/src/app/_services/planner.service.ts
===================================================================
--- trip-planner-front/src/app/_services/planner.service.ts	(revision 571e0df9a7a5e798c9941a85842f785177bedbbd)
+++ trip-planner-front/src/app/_services/planner.service.ts	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
@@ -1,7 +1,5 @@
-import { HttpClient, HttpHeaders } from "@angular/common/http";
+import { HttpClient } from "@angular/common/http";
 import { Injectable } from "@angular/core";
 import { Observable } from "rxjs";
-import { PlannerDto } from "../_models/dto/plannerDto";
-import { PlannerLocationDto } from "../_models/dto/plannerLocationDto";
 import { Planner } from "../_models/planner";
 
@@ -9,54 +7,10 @@
     providedIn: 'root'
 })
-export class PlannerService {
-
-    httpHeaders: HttpHeaders = new HttpHeaders({
-        'Authorization': '' + sessionStorage.getItem("token"),
-        'Accept': 'application/json',
-        'Content-Type': 'application/json'
-    });
-
-    constructor(private httpClient: HttpClient) {
+export class PlannerService{
+    constructor(private httpClient: HttpClient){
     }
-
-
-    getAllPlanners(): Observable<Planner[]> {
-        let url = "http://localhost:8080/api/planners/user";
-        console.log("SERVID: " + sessionStorage.getItem("token"));
-        console.log(this.httpHeaders.get('Authorization'));
-        return this.httpClient.get<Planner[]>(url, { headers: this.httpHeaders });
+    getAllPlanners():Observable<Planner[]>{
+        let url = "http://localhost:8080/api/planners";
+        return this.httpClient.get<Planner[]>(url);
     }
-
-    postInitialPlanner(plannerDto: PlannerDto): Observable<Planner> {
-        let url = "http://localhost:8080/api/planner/new";
-        return this.httpClient.post<Planner>(url, plannerDto, {headers: this.httpHeaders});
-    }
-
-    updatePlanner(id: number, plannerDto: PlannerDto): Observable<Planner> {
-        let url = "http://localhost:8080/api/edit/planner/" + id;
-        return this.httpClient.put<Planner>(url, plannerDto, { headers: this.httpHeaders });
-    }
-
-    getPlannerById(id: number): Observable<Planner> {
-        let url = "http://localhost:8080/api/planner/" + id;
-        return this.httpClient.get<Planner>(url);
-    }
-
-    deletePlannerById(id: number): Observable<Planner> {
-        let url = "http://localhost:8080/api/delete/" + id;
-        return this.httpClient.delete<Planner>(url, { headers: this.httpHeaders });
-    }
-
-    deleteLocationFromPlanner(plannerLocationDto : PlannerLocationDto) {
-        let url = "http://localhost:8080/api/delete-location";
-        const options = {
-            body: {
-                "plannerId": plannerLocationDto.plannerId, 
-                "locationId": plannerLocationDto.locationId
-            } 
-        }
-        return this.httpClient.request('delete', url, options);
-    }
- 
-
 }
Index: trip-planner-front/src/app/app-routing.module.ts
===================================================================
--- trip-planner-front/src/app/app-routing.module.ts	(revision 571e0df9a7a5e798c9941a85842f785177bedbbd)
+++ trip-planner-front/src/app/app-routing.module.ts	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
@@ -1,28 +1,6 @@
 import { NgModule } from '@angular/core';
 import { RouterModule, Routes } from '@angular/router';
-import { ExploreResultComponent } from './explore/explore-result/explore-result.component';
-import { ExploreComponent } from './explore/explore.component';
-import { HomepageComponent } from './homepage/homepage.component';
-import { LoginComponent } from './homepage/login/login.component';
-import { AddLocationComponent } from './location/add-location/add-location.component';
-import { LocationDetailsComponent } from './location/location-details/location-details.component';
-import { LocationComponent } from './location/location.component';
-import { LocationsFormComponent } from './locations-form/locations-form.component';
-import { EditPlannerComponent } from './planner/edit-planner/edit-planner.component';
-import { PlannerComponent } from './planner/planner.component';
 
-
-const routes: Routes = [
-  {path: 'planners', component: PlannerComponent},
-  {path: 'form', component: LocationsFormComponent},
-  {path: 'edit/planner/:id', component: EditPlannerComponent},
-  {path: 'locations', component: LocationComponent},
-  {path: '', component: HomepageComponent},
-  {path: '', component:LoginComponent},
-  {path: 'location', component: LocationDetailsComponent},
-  {path: 'explore', component: ExploreComponent},
-  {path: 'results', component: ExploreResultComponent},
-  {path: 'add-location', component: AddLocationComponent}
-];
+const routes: Routes = [];
 
 @NgModule({
Index: trip-planner-front/src/app/app.module.ts
===================================================================
--- trip-planner-front/src/app/app.module.ts	(revision 571e0df9a7a5e798c9941a85842f785177bedbbd)
+++ trip-planner-front/src/app/app.module.ts	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
@@ -2,7 +2,7 @@
 import { AppComponent } from './app.component';
 import { BrowserModule } from '@angular/platform-browser';
-import { NgModule, NO_ERRORS_SCHEMA } from '@angular/core';
-import { FormsModule, ReactiveFormsModule } from '@angular/forms';
-import { HttpClientModule, HTTP_INTERCEPTORS } from '@angular/common/http';
+import { NgModule } from '@angular/core';
+import {FormsModule} from '@angular/forms';
+import {HttpClient, HttpClientModule} from '@angular/common/http';
 import { BrowserAnimationsModule } from '@angular/platform-browser/animations';
 import { CategoryService } from './_services/cateogry.service';
@@ -10,50 +10,16 @@
 import { LocationComponent } from './location/location.component';
 import { MatIconModule } from '@angular/material/icon';
+import {MatListModule} from '@angular/material/list';
 import { MatSelectModule } from '@angular/material/select';
-import { MatInputModule } from '@angular/material/input';
-import { MatChipsModule } from '@angular/material/chips';
-import { MatTabsModule } from '@angular/material/tabs';
-import { MatDialogModule, MatDialogRef } from '@angular/material/dialog';
-import { MatBadgeModule } from '@angular/material/badge';
-import { MatDividerModule } from '@angular/material/divider';
-import { MatCardModule } from '@angular/material/card';
+import {MatInputModule} from '@angular/material/input';
+import {MatChipsModule} from '@angular/material/chips';
+import {MatTabsModule} from '@angular/material/tabs';
+import {MatDialogModule} from '@angular/material/dialog';
+import {MatBadgeModule} from '@angular/material/badge';
+import {MatDividerModule} from '@angular/material/divider';
+import {MatCardModule} from '@angular/material/card';
 import { PlannerService } from './_services/planner.service';
 import { MatButtonModule } from '@angular/material/button';
-import { MatGridListModule } from '@angular/material/grid-list';
-import { CreateInitialPlannerComponent } from './create-initial-planner/create-initial-planner.component';
-import { LocationsFormComponent } from './locations-form/locations-form.component';
-import { MatFormFieldModule } from '@angular/material/form-field';
-import { MatAutocompleteModule } from '@angular/material/autocomplete';
-import { EditPlannerComponent } from './planner/edit-planner/edit-planner.component';
-import { AddLocationToPlannerPanelComponent } from './location/add-location-to-planner-panel/add-location-to-planner-panel.component';
-import { HomepageComponent } from './homepage/homepage.component';
-import { AccordionModule } from 'primeng/accordion';     //accordion and accordion tab
-import { CarouselModule } from 'primeng/carousel';
-import { ButtonModule } from 'primeng/button';
-import { ToastModule } from 'primeng/toast';
-import { TabViewModule } from 'primeng/tabview';
-import { LocationDetailsComponent } from './location/location-details/location-details.component';
-import { GalleriaModule } from 'primeng/galleria';
-import { DialogService, DynamicDialogModule } from 'primeng/dynamicdialog';
-import { MessageService, SharedModule, ConfirmationService } from 'primeng/api';
-import { TableModule } from 'primeng/table';
-import { MessagesModule } from 'primeng/messages';
-import { MessageModule } from 'primeng/message';
-import { InputTextModule } from 'primeng/inputtext';
-import { RippleModule } from 'primeng/ripple';
-import { PaginatorModule } from 'primeng/paginator';
-import { CardModule } from 'primeng/card';
-import { RegisterComponent } from './homepage/register/register.component';
-import { LoginComponent } from './homepage/login/login.component';
-import { AuthGuard } from './auth/auth.guard';
-import { AuthInterceptor } from './auth/auth.interceptor';
-import { ExploreComponent } from './explore/explore.component';
-import {AutoCompleteModule} from 'primeng/autocomplete';
-import { ExploreResultComponent } from './explore/explore-result/explore-result.component';
-import {RatingModule} from 'primeng/rating';
-import { AddLocationComponent } from './location/add-location/add-location.component';
-import {StepsModule} from 'primeng/steps';
-import {MatStepperModule} from '@angular/material/stepper';
-import {FileUploadModule} from 'primeng/fileupload';
+import {MatGridListModule} from '@angular/material/grid-list';
 
 @NgModule({
@@ -61,17 +27,6 @@
     AppComponent,
     PlannerComponent,
-    LocationComponent,
-    CreateInitialPlannerComponent,
-    LocationsFormComponent,
-    EditPlannerComponent,
-    AddLocationToPlannerPanelComponent,
-    HomepageComponent,
-    LocationDetailsComponent,
-    RegisterComponent,
-    LoginComponent,
-    ExploreComponent,
-    ExploreResultComponent,
-    AddLocationComponent
-    ],
+    LocationComponent
+  ],
   imports: [
     BrowserModule,
@@ -89,61 +44,12 @@
     MatCardModule,
     MatButtonModule,
-    MatGridListModule,
-    MatFormFieldModule,
-    MatAutocompleteModule,
-    HttpClientModule,
-    ReactiveFormsModule,
-    MatSelectModule,
-    AccordionModule,
-    CarouselModule,
-    ButtonModule,
-    ToastModule,
-    TabViewModule,
-    GalleriaModule,
-    DynamicDialogModule,
-    MatIconModule,
-    SharedModule,
-    MatDialogModule,
-    TableModule,
-    MessagesModule,
-    MessageModule,
-    InputTextModule,
-    RippleModule,
-    FormsModule,
-    PaginatorModule,
-    CardModule,
-    AutoCompleteModule,
-    RatingModule,
-    StepsModule,
-    MatStepperModule,
-    FileUploadModule
-    ],
-
-
+    MatGridListModule
+  ],
   providers: [
     CategoryService,
-    PlannerService,
-    {
-      provide: MatDialogRef,
-      useValue: {},
-
-    },
-    {
-      provide: HTTP_INTERCEPTORS,
-      useClass: AuthInterceptor,
-      multi: true
-    },
-    DialogService,
-    MessageService,
-    ConfirmationService,
-    AuthGuard
+    PlannerService
   ],
-
-  entryComponents: [
-    AddLocationToPlannerPanelComponent
-  ],
-  bootstrap: [AppComponent],
-  schemas: [NO_ERRORS_SCHEMA],
-
+  bootstrap: [AppComponent]
+  
 })
 export class AppModule { }
Index: trip-planner-front/src/app/location/location.component.ts
===================================================================
--- trip-planner-front/src/app/location/location.component.ts	(revision 571e0df9a7a5e798c9941a85842f785177bedbbd)
+++ trip-planner-front/src/app/location/location.component.ts	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
@@ -1,143 +1,55 @@
 import { Component, OnInit } from '@angular/core';
-import { ActivatedRoute, Router } from '@angular/router';
-import { MessageService } from 'primeng/api';
-import { DialogService, DynamicDialogRef } from 'primeng/dynamicdialog';
-import { Planner } from '../_models/planner';
-import { LocationService } from '../_services/location.service';
-import { AddLocationToPlannerPanelComponent } from './add-location-to-planner-panel/add-location-to-planner-panel.component';
-import { Location } from '../_models/location';
-import { PlannerLocationDto } from '../_models/dto/plannerLocationDto';
-
+import { Category } from '../_models/category';
+import { City } from '../_models/city';
+import { Companion } from '../_models/companion';
+import { Country } from '../_models/country';
+import { CategoryService } from '../_services/cateogry.service';
+import { CityService } from '../_services/city.service';
+import { CompanionService } from '../_services/companion.service';
+import { CountryService } from '../_services/country.service';
 
 @Component({
   selector: 'app-location',
   templateUrl: './location.component.html',
-  styleUrls: ['./location.component.css'],
-  providers: [DialogService, MessageService]
+  styleUrls: ['./location.component.css']
 })
 export class LocationComponent implements OnInit {
 
-  categoryIds: string;
-  cityId: number;
-  companionId: number;
-  lengthOfStay: number;
-  listLocations: any[];
-  cityOption: boolean = false;
-  regionOption: boolean = false;
-  regionId: number;
-  locationId: number;
-  plannerLocationDto: PlannerLocationDto;
-  ref: DynamicDialogRef;
-  locationIdsPlanner: number[];
+  categories: Category[];
+  cities: City[];
+  countries:Country[];
+  companions: Companion[];
+  constructor(private categoryService: CategoryService, private cityService : CityService,
+            private countryService : CountryService, private companionService : CompanionService) {
+    this.categories = [];
+    this.cities=[];
+    this.countries = [];
+    this.companions = [];
+   }
+   
+  ngOnInit(): void {
+    this.categoryService.getAllCategories().subscribe(
+      data => {
+        this.categories = data;
+        console.log(data);
+      }
+    );
+    this.cityService.getAllCities().subscribe(
+      data => {
+        this.cities = data;
 
+      }
+    );
+    this.countryService.getAllCountries().subscribe(
+      data => {
+        this.countries = data;
+      }
+    );
 
-  constructor(private route: ActivatedRoute, private locationService: LocationService,
-    private router: Router, private dialogService: DialogService, private messageService: MessageService) {
-    this.cityId = 1;
-    this.companionId = 1;
-    this.lengthOfStay = 1;
-    this.categoryIds = '';
-    this.listLocations = [];
-    this.regionId = 1;
-    this.locationId = 1;
-    this.ref = new DynamicDialogRef();
-    this.plannerLocationDto = new PlannerLocationDto();
-    this.locationIdsPlanner = [];
+    this.companionService.getAllCompanions().subscribe(
+      data => {
+        this.companions = data;
+      }
+    );
   }
-
-  ngOnInit(): void {
-
-    this.route.queryParams
-      .subscribe(params => {
-        console.log(params);
-        this.cityId = params.cityId;
-        this.regionId = params.regionId;
-        this.companionId = params.companionId;
-        this.lengthOfStay = params.lengthOfStay;
-        this.categoryIds = params.categoryIds;
-      }
-      );
-
-    if (this.route.snapshot.queryParams['cityId']) {
-      this.locationService.getLocationsFromCity(this.cityId, this.companionId, this.lengthOfStay, this.categoryIds).subscribe(
-        result => {
-          console.log(result);
-          this.listLocations = result;
-        }
-      );
-    } else
-      if (this.route.snapshot.queryParams['regionId']) {
-        console.log("I am in region console");
-        this.locationService.getLocationsFromRegion(this.regionId, this.companionId, this.lengthOfStay, this.categoryIds).subscribe(
-          result => {
-            console.log(result);
-            this.listLocations = result;
-          }
-        );
-      }
-
-  }
-
-  onClickSeeDetails(id: number) {
-    this.router.navigate(['location'], { queryParams: { id: id } });
-  }
-
-  show(location: Location) {
-    console.log(location.id);
-    this.ref = this.dialogService.open(AddLocationToPlannerPanelComponent, {
-      header: 'Choose a Planner',
-      width: '70%',
-      contentStyle: { "max-height": "500px", "overflow": "auto" },
-      baseZIndex: 10000
-    });
-
-    this.ref.onClose.subscribe((planner: Planner) => {
-      if (planner) {
-        this.plannerLocationDto.locationId = location.id;
-        this.plannerLocationDto.plannerId = planner.id;
-        console.log("LOC ID: " + this.plannerLocationDto.locationId);
-        console.log("PLANNER ID: " + this.plannerLocationDto.plannerId);
-
-        this.locationService.getAllLocationIdsForPlanner(planner.id).subscribe(
-          lid => {
-            if (lid.length == 0) {
-              this.locationService.postLocationToPlanner(this.plannerLocationDto).subscribe(
-                data => {
-                  console.log(data);
-                }
-              );
-              this.messageService.add({ severity: 'success', summary: 'Location ' + location.name + ' has been added to planner: ', detail: planner.name });
-
-            } else if (lid.length > 0) {
-              if (lid.indexOf(this.plannerLocationDto.locationId) !== -1) {
-                console.log("LOKACIJATA VEKE JA IMA VO PLANEROT");
-                this.messageService.add({ severity: 'error', summary: 'Location ' + location.name + ' already exists in the planner.' });
-              } else {
-                this.locationService.postLocationToPlanner(this.plannerLocationDto).subscribe(
-                  data => {
-                    console.log(data);
-                  }
-                );
-                this.messageService.add({ severity: 'success', summary: 'Location ' + location.name + ' has been added to planner: ', detail: planner.name });
-              }
-
-            }
-          }
-        );
-      }
-    });
-
-  }
-
-  ngOnDestroy() {
-    if (this.ref) {
-      this.ref.close();
-    }
-  }
-
-  onClickBackToMyPlanners() {
-    this.router.navigate(['planners']);
-  }
-
-
 }
Index: trip-planner-front/src/app/planner/planner.component.ts
===================================================================
--- trip-planner-front/src/app/planner/planner.component.ts	(revision 571e0df9a7a5e798c9941a85842f785177bedbbd)
+++ trip-planner-front/src/app/planner/planner.component.ts	(revision 6a3a178323fd905112b5392bd9d3cb83b66ef2d3)
@@ -2,40 +2,18 @@
 import { Planner } from '../_models/planner';
 import { PlannerService } from '../_services/planner.service';
-import { CreateInitialPlannerComponent } from '../create-initial-planner/create-initial-planner.component';
-import { Router } from '@angular/router';
-import { PlannerDto } from '../_models/dto/plannerDto';
-import { DialogService, DynamicDialogRef } from 'primeng/dynamicdialog';
-import { MessageService, PrimeNGConfig } from 'primeng/api';
-import { UserDto } from '../_models/dto/userDto';
-
 
 @Component({
   selector: 'app-planner',
   templateUrl: './planner.component.html',
-  styleUrls: ['./planner.component.css'],
-  providers: [DialogService, MessageService]
+  styleUrls: ['./planner.component.css']
 })
 export class PlannerComponent implements OnInit {
 
   planners: Planner[];
-  plannerDto: PlannerDto;
-  ref: DynamicDialogRef;
-  user: UserDto;
-  userDisplayName = '';
-  status = '';
-
-  constructor(private plannerService: PlannerService, private router: Router,
-    private dialogService: DialogService, private primengConfig: PrimeNGConfig, private messageService: MessageService) {
+  constructor(private plannerService: PlannerService) { 
     this.planners = [];
-    this.plannerDto = new PlannerDto();
-    this.ref = new DynamicDialogRef;
-    this.user = new UserDto();
   }
 
   ngOnInit(): void {
-
-    this.primengConfig.ripple = true;
-    let name1: string = sessionStorage.getItem("username") as string;
-    this.userDisplayName = name1;
     this.plannerService.getAllPlanners().subscribe(
       data => {
@@ -45,61 +23,3 @@
   }
 
-  onClickEditPlannerGet(id: number) {
-    console.log(id);
-    this.plannerService.getPlannerById(id).subscribe(
-      data => {
-        this.router.navigate(['edit/planner/', id]);
-      }
-    );
-  }
-
-  show() {
-    this.ref = this.dialogService.open(CreateInitialPlannerComponent, {
-      header: 'Create initial planner',
-      width: '70%',
-      contentStyle: { "max-height": "500px", "overflow": "auto" },
-      baseZIndex: 10000
-    });
-    this.ref.onClose.subscribe((plannerDto: PlannerDto) => {
-      if (plannerDto) {
-        console.log("NOVOKREIRANIOT NAME NA PLANNER: " + plannerDto.name);
-        this.plannerService.postInitialPlanner(plannerDto).subscribe(
-          data => {
-            console.log(data);
-          },
-          error => console.log('oops', error)
-        );
-        this.messageService.add({ severity: 'success', summary: 'The planner: ' + plannerDto.name + ' has been created.' });
-      }
-
-    });
-
-  }
-
-  ngOnDestroy() {
-    if (this.ref) {
-      this.ref.close();
-    }
-  }
-
-  onClickLogout() {
-    sessionStorage.removeItem("token");
-    console.log("SESSION HAS ENDED, THE USER IS LOGGED OUT" + sessionStorage.getItem("token"));
-    this.router.navigate(['']);
-  }
-
-  onDeletePlanner(id: number) {
-    console.log("DELETE KOCHE: " + id);
-    this.plannerService.deletePlannerById(id).subscribe(
-      (data) => {
-        console.log(data);
-      },
-      (error) => console.log('error', error)
-    );
-    window.location.reload();
-  }
-
-  onClickAddLocation(){
-    this.router.navigate(['add-location']);
-  }
 }
